// analog_bargraph.ino
// PICO @ IDE 1.8.16

#define ADCmax 4095

const int analogPin=A0;   // the pin that the potentiometer is attached to
const int LED[]={0,1,2,3,4,5,6,7}; // pins connected to LEDs
const int LEDcount=sizeof(LED)/4; // the number of LEDs in the bar graph

void setup() 
{ Serial.begin(115200);
  for (int i=0; i<LEDcount; i++) 
    pinMode(LED[i], OUTPUT);
}

void loop() 
{ int sensorReading = analogRead(analogPin);
  int ledLevel = map(sensorReading, 0, ADCmax, 0, LEDcount-1);
  Serial.println(ledLevel);
  for (int i=0;i<LEDcount;i++) 
    { if (i<=ledLevel) digitalWrite(LED[i], HIGH); // == dot, <= band
      else digitalWrite(LED[i], LOW);
    }
}
